pknlusr(8)

NAME

pknlusr — userspace monitor for successful xt_pknock matches

Synopsis

pknlusr [group-id]

Description
xt_pknock is an xtables match extension that implements so-called port knocking. It can be configured to send information about each successful match via a netlink socket to userspace. pknluser listens for these notifications.

By default, pknlusr listens for messages sent to netlink multicast group 1. Another group ID may be passed as a command-line argument.

See also

xtables-addons(8)